netatalk 4.4.3
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
queue.c File Reference
`#include <stdlib.h>`
`#include <atalk/queue.h>`

## Functions
static qnode_t * | alloc_init_node (void *data)
q_t * | queue_init (void)
qnode_t * | enqueue (q_t *q, void *data)
qnode_t * | prequeue (q_t *q, void *data)
void * | dequeue (q_t *q)
void | queue_destroy (q_t *q, void(*callback)(void *))

## Detailed Description

Netatalk utility functions: queue

## Function Documentation

## ◆ alloc_init_node()

qnode_t * alloc_init_node | ( | void * | data | ) |
| static

## ◆ dequeue()

void * dequeue | ( | q_t * | q | ) |

Take from head

## ◆ enqueue()

qnode_t * enqueue | ( | q_t * | q,
|  | void * | data )

Insert at tail

## ◆ prequeue()

qnode_t * prequeue | ( | q_t * | q,
|  | void * | data )

Insert at head

## ◆ queue_destroy()

void queue_destroy | ( | q_t * | q,
|  | void(* | callback )(void *) )

## ◆ queue_init()

q_t * queue_init | ( | void |  | ) |